com.massivecraft.factions.zcore.persist

## Class MemoryBoard.MemoryBoardMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<FLocation,java.lang.String>
    - - com.massivecraft.factions.zcore.persist.MemoryBoard.MemoryBoardMap

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<FLocation,java.lang.String>
  Enclosing class:
    MemoryBoard

      public class MemoryBoard.MemoryBoardMap
      extends java.util.HashMap<FLocation,java.lang.String>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryBoardMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `getOwnedLandCount(java.lang.String factionId)`
    `java.lang.String` | `put(FLocation floc, java.lang.String factionId)`
    `java.lang.String` | `remove(java.lang.Object key)`
    `void` | `removeFaction(java.lang.String factionId)`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, putAll, putIfAbsent, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### MemoryBoardMap

          public MemoryBoardMap()

  - ### Method Detail

    - #### put

          public java.lang.String put(FLocation floc,
                                      java.lang.String factionId)

      Specified by:
        `put` in interface `java.util.Map<FLocation,java.lang.String>`
      Overrides:
        `put` in class `java.util.HashMap<FLocation,java.lang.String>`

    - #### remove

          public java.lang.String remove(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<FLocation,java.lang.String>`
      Overrides:
        `remove` in class `java.util.HashMap<FLocation,java.lang.String>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<FLocation,java.lang.String>`
      Overrides:
        `clear` in class `java.util.HashMap<FLocation,java.lang.String>`

    - #### getOwnedLandCount

          public int getOwnedLandCount(java.lang.String factionId)

    - #### removeFaction

          public void removeFaction(java.lang.String factionId)